<?php

//WP Blogger Options 

$wp_customize->add_panel( 'wp_blogger_front_option', array(
            'priority' => 20,
            'capability'     => 'edit_theme_options',
            'title' => __( 'Theme Options', 'wp-blogger' ),
            'description' => __( 'Customize Design & Layout', 'wp-blogger' ),
        )
    );  



$wp_customize->add_section( 'wp_blogger_featured_section', array(
    'capability'            => 'edit_theme_options',
    'priority'              => 10,
    'title'                 => __( 'Featured Sections', 'wp-blogger' ),
    'description'           => __( 'Featured Section Options', 'wp-blogger' ),
    'panel'             => 'wp_blogger_front_option'
) );


//Top section enable disable

$wp_customize->add_setting( 'wp_blogger_featured_section_enable', array(
    'capability'            => 'edit_theme_options',
    'default'               => 0,
    'sanitize_callback'     => 'wp_blogger_sanitize_checkbox'
) );

$wp_customize->add_control( 'wp_blogger_featured_section_enable', array(
    'label'                 =>  __( 'Enable Top Featured Section', 'wp-blogger' ),
    'section'               => 'wp_blogger_featured_section',
    'type'                  => 'checkbox',
    'priority'              => 10,
    'settings'              => 'wp_blogger_featured_section_enable',
) );


$wp_customize->add_setting('wp_blogger_featured_section_category',array(
                            'capability'        => 'edit_theme_options',
                            'sanitize_callback' => 'wp_blogger_sanitize_category',
                            'default' =>  '1',
                               )
                           );
    
$wp_customize->add_control(new wp_blogger_Customize_Dropdown_Taxonomies_Control($wp_customize,'wp_blogger_featured_section_category',
                                                                                    
                array(
                           'label' => __('Select Category for Featured Section','wp-blogger'),
                            'section' => 'wp_blogger_featured_section',
                            'settings' => 'wp_blogger_featured_section_category',
                            'type'=> 'dropdown-taxonomies',
                            'priority'              => 20,
                    )
            ));

//bottom section enable disable

$wp_customize->add_setting( 'wp_blogger_featured_middle_section_enable', array(
    'capability'            => 'edit_theme_options',
    'default'               => 0,
    'sanitize_callback'     => 'wp_blogger_sanitize_checkbox'
) );

$wp_customize->add_control( 'wp_blogger_featured_middle_section_enable', array(
    'label'                 =>  __( 'Enable/Disable Middle Featured Section', 'wp-blogger' ),
    'section'               => 'wp_blogger_featured_section',
    'type'                  => 'checkbox',
    'priority'              => 30,
    'settings'              => 'wp_blogger_featured_middle_section_enable',
) );

//Top section enable disable

$wp_customize->add_setting( 'wp_blogger_featured_section_title', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'wp_blogger_featured_section_title', array(
    'label'                 =>  __( 'Edit You May Like Also', 'wp-blogger' ),
    'section'               => 'wp_blogger_featured_section',
    'type'                  => 'text',
    'priority'              => 40,
    'settings'              => 'wp_blogger_featured_section_title',
) );

$wp_customize->add_setting('wp_blogger_featured_middle_section_category',array(
                            'capability'        => 'edit_theme_options',
                            'sanitize_callback' => 'wp_blogger_sanitize_category',
                            'default' =>  '1',
                               )
                           );
    
$wp_customize->add_control(new wp_blogger_Customize_Dropdown_Taxonomies_Control($wp_customize,'wp_blogger_featured_middle_section_category',
                                                                                    
                array(
                           'label' => __('Select Category for Middle Featured Section','wp-blogger'),
                            'section' => 'wp_blogger_featured_section',
                            'settings' => 'wp_blogger_featured_middle_section_category',
                            'type'=> 'dropdown-taxonomies',
                            'priority'              => 40,
                    )
            ));
//bottom

$wp_customize->add_setting( 'wp_blogger_featured_bottom_section_enable', array(
    'capability'            => 'edit_theme_options',
    'default'               => 0,
    'sanitize_callback'     => 'wp_blogger_sanitize_checkbox'
) );

$wp_customize->add_control( 'wp_blogger_featured_bottom_section_enable', array(
    'label'                 =>  __( 'Enable Bottom Featured Section', 'wp-blogger' ),
    'section'               => 'wp_blogger_featured_section',
    'type'                  => 'checkbox',
    'priority'              => 50,
    'settings'              => 'wp_blogger_featured_bottom_section_enable',
) );


$wp_customize->add_setting('wp_blogger_featured_bottom_section_category',array(
                            'capability'        => 'edit_theme_options',
                            'sanitize_callback' => 'wp_blogger_sanitize_category',
                            'default' =>  '1',
                               )
                           );
    
$wp_customize->add_control(new wp_blogger_Customize_Dropdown_Taxonomies_Control($wp_customize,'wp_blogger_featured_bottom_section_category',
                                                                                    
                array(
                           'label' => __('Select Category for Featured Section','wp-blogger'),
                            'section' => 'wp_blogger_featured_section',
                            'settings' => 'wp_blogger_featured_bottom_section_category',
                            'type'=> 'dropdown-taxonomies',
                            'priority'              => 60,
                    )
            ));

