<?php
/**
 * Template part for displaying page content in page.php
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WP Blogger
 */

?>

<div class="row">

	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

		<div class="col-sm-12 col-xs-12">
			<figure>
				<?php the_post_thumbnail( 'full' ); ?>
			</figure>
			<header class="entry-header">
				<?php

				if ( 'post' === get_post_type() ) : ?>
				<?php wp_blogger_category(); ?>
				<div class="entry-meta">
					<?php
						wp_blogger_posted_on();
						wp_blogger_listcomment();
						wp_blogger_posted_by();
					?>
				</div><!-- .entry-meta -->
				<?php
				endif;

				if ( is_singular() ) :
					the_title( '<h1 class="entry-title">', '</h1>' );
				else :
					the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
				endif;

				?>
			</header><!-- .entry-header -->

			<div class="entry-content">
				<?php
					
					the_content();
					wp_link_pages( array(
						'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'wp-blogger' ),
						'after'  => '</div>',
					) );
				?>
			</div><!-- .entry-content -->

			<footer class="entry-footer">
				<?php #wp_blogger_entry_footer(); ?>
			</footer><!-- .entry-footer -->
		</div>

	</article><!-- #post-<?php the_ID(); ?> -->

</div>
