<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WP Blogger
 */

?>


	<div class="col-sm-6 col-xs-12 single-blog">

		<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

			<figure>
				<?php 
				if(has_post_thumbnail()): wp_blogger_post_thumbnail('wp-blogger-grid-blog',array('class' => 'full-height')); 
				else: ?>
					<img src="<?php echo esc_url(get_template_directory_uri());?>/wpcodethemes/assets/img/2.jpg" alt="<?php the_title(); ?>" class="full-height"/>
				<?php endif;?>
				<?php wp_blogger_category(); ?>
			</figure>

			<header class="entry-header">
				<?php

				if ( 'post' === get_post_type() ) : ?>
				<div class="entry-meta">
					<?php
						wp_blogger_posted_on();
						wp_blogger_listcomment();
						wp_blogger_posted_by();
					?>
				</div><!-- .entry-meta -->
				<?php
				endif;

				if ( is_singular() ) :
					the_title( '<h1 class="entry-title">', '</h1>' );
				else :
					the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
				endif;

 				?>
			</header><!-- .entry-header -->

			<div class="entry-content">
				<?php

					the_excerpt();

					wp_link_pages( array(
						'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'wp-blogger' ),
						'after'  => '</div>',
					) );
				?>
			</div><!-- .entry-content -->

			<footer class="entry-footer">
				<?php #wp_blogger_entry_footer(); ?>
			</footer><!-- .entry-footer -->

		</article><!-- #post-<?php the_ID(); ?> -->

	</div>
